Loading...
Searching...
No Matches
XrdNetAddrInfo.cc File Reference
`#include <cctype>`
`#include <cerrno>`
`#include <netdb.h>`
`#include <cstdio>`
`#include <arpa/inet.h>`
`#include <sys/types.h>`
`#include "XrdNet/XrdNetAddrInfo.hh"`
`#include "XrdNet/XrdNetCache.hh"`
Include dependency graph for XrdNetAddrInfo.cc:

Go to the source code of this file.

## Macros

#define | IN6_IS_ADDR_UNIQLOCAL(a)
#define | IS_INET(x)
#define | MY_FAMILY IP.Addr.sa_family
#define | UR_FAMILY ipAddr->IP.Addr.sa_family

## Macro Definition Documentation

## IN6_IS_ADDR_UNIQLOCAL

#define IN6_IS_ADDR_UNIQLOCAL | ( |  | a | ) |

Value:
( ((const uint8_t *)(a))[0] == 0xfc || ((const uint8_t *)(a))[0] == 0xfd )

Definition at line 63 of file XrdNetAddrInfo.cc.

#define IN6_IS_ADDR_UNIQLOCAL(a) \
( ((const uint8_t *)(a))[0] == 0xfc || ((const uint8_t *)(a))[0] == 0xfd )

Referenced by XrdNetAddrInfo::isPrivate().

## IS_INET

#define IS_INET | ( |  | x | ) |

Value:
(x == AF_INET || x == AF_INET6)

Definition at line 426 of file XrdNetAddrInfo.cc.

Referenced by XrdNetAddrInfo::Same().

## MY_FAMILY

#define MY_FAMILY IP.Addr.sa_family

Definition at line 428 of file XrdNetAddrInfo.cc.

Referenced by XrdNetAddrInfo::Same().

## UR_FAMILY

#define UR_FAMILY ipAddr->IP.Addr.sa_family

Definition at line 430 of file XrdNetAddrInfo.cc.

Referenced by XrdNetAddrInfo::Same().